
# Dadou - 2.2.1-2mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_2
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig %mklibname kdetoys
%define lib_major 1
%define lib_name %lib_name_orig%lib_major

Name:		kdetoys
Summary:	K Desktop Environment - Toys and Amusements
Version:    3.1.3
Release:    8mdk
Epoch:		1
URL:		http://www.kde.org/
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source:     %name-%version.tar.bz2

# Laurent 3.0.2-2mdk patch for ix64!
Patch2:     kde-lib64updates.patch.bz2

Patch3:		fix-disable-amor.patch.bz2



Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Obsoletes:	kteatime
Provides:	kteatime

# To remove
Obsoletes:	kdetoys3.0 kdetoys3
Provides:	kdetoys3 = 1:%version-%release

Requires:	 %lib_name = 1:%version-%release



BuildRequires:	XFree86-devel kdelibs-devel

%if %buildfor9_2
BuildRequires:	qt3-devel
%endif

%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %buildfor9_2
BuildRequires: automake1.7
%endif


%description
Toys for the K Desktop Environment.

Software included in this package are:
	- amor: Amusing Misuse Of Resources put's comic figures above your windows
	- eyesapplet: a kicker applet similar to XEyes
	- fifteenapplet: kicker applet, order 15 pieces in a 4x4 square by moving them
	- kaphorism: displays aphorisms
	- kfortune: shows your daily fortune
	- kmoon: system tray applet showing the moon phase
	- kodo: mouse movement meter
	- kscore: kicker applet with a sports ticker
	- kteatime: system tray applet that makes sure your tea doesn't get too strong
	- ktux: Tux-in-a-Spaceship screen saver
	- kweather: kicker applet that will display the current weather outside
	- kworldwatch: application and kicker applet showing daylight area on the world globe

%package -n %lib_name-devel
Summary:	Headers files for kdetoys
Group:		Development/KDE and Qt

Provides:	kdetoys-devel = 1:%version-%release
Obsoletes:	kdetoys-devel	

Requires:	%lib_name = 1:%version-%release

Obsoletes:  kdetoys3-devel
Provides:   kdetoys3-devel = 1:%name-%version


%description -n %lib_name-devel
Headers files for kdetoys.

%package -n %lib_name
Group:      Development/KDE and Qt
Summary:    Libraries for kdetoys
Provides:   %lib_name_orig = 1:%version-%release
Conflicts:	kdetoys <= 3.1-5mdk

%description -n %lib_name
Libraries for the K Desktop Environment.


%prep



%setup -q 
#%patch2 -p1
%patch3 -p1



%build
%if %buildfor9_2 || %buildfor9_1
make -f admin/Makefile.common cvs
%endif

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
		./configure --prefix=%_prefix \
					--libdir=%_libdir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable                    
					--enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
                    --with-xinerama

%make



%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# Dadou - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

# Create LMDK menu entries
install -d %buildroot/%_menudir/

# %%_datadir/System/ScreenSavers/
kdedesktop2mdkmenu.pl kdetoys .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/ktux.desktop %buildroot/%_menudir/kdetoys-ktux kde

# %%_datadir/Toys/
kdedesktop2mdkmenu.pl kdetoys Amusement/Toys %buildroot/%_datadir/applnk/Toys/amor.desktop %buildroot/%_menudir/kdetoys-amor       
kdedesktop2mdkmenu.pl kdetoys Amusement/Toys %buildroot/%_datadir/applnk/Toys/kmoon.desktop %buildroot/%_menudir/kdetoys-kmoon kde
kdedesktop2mdkmenu.pl kdetoys Amusement/Toys %buildroot/%_datadir/applnk/Toys/kodo.desktop %buildroot/%_menudir/kdetoys-kodo kde
kdedesktop2mdkmenu.pl kdetoys Amusement/Toys %buildroot/%_datadir/applnk/Toys/kteatime.desktop %buildroot/%_menudir/kdetoys-kteatime kde
kdedesktop2mdkmenu.pl kdetoys Amusement/Toys %buildroot/%_datadir/applnk/Toys/kaphorism.desktop %buildroot/%_menudir/kdetoys-kaphorism

kdedesktop2mdkmenu.pl kdetoys Amusement/Toys %buildroot/%_datadir/applnk/Toys/kworldclock.desktop %buildroot/%_menudir/kdetoys-kwordclock


%post
/sbin/ldconfig
%update_menus


%postun
/sbin/ldconfig
%clean_menus


%clean
rm -fr %buildroot


%files 
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/amor/
%doc %_docdir/HTML/en/amor/common
%doc %_docdir/HTML/en/amor/*.docbook
%doc %_docdir/HTML/en/amor/*.bz2
%doc %_docdir/HTML/en/amor/*.png
#
#
%dir %_docdir/HTML/en/kmoon/
%doc %_docdir/HTML/en/kmoon/carlosmail
%doc %_docdir/HTML/en/kmoon/common
%doc %_docdir/HTML/en/kmoon/*.docbook
%doc %_docdir/HTML/en/kmoon/*.bz2
#
#
%dir %_docdir/HTML/en/kodo/
%doc %_docdir/HTML/en/kodo/common
%doc %_docdir/HTML/en/kodo/*.docbook
%doc %_docdir/HTML/en/kodo/*.png
%doc %_docdir/HTML/en/kodo/*.bz2
#
#
#
#
%dir %_docdir/HTML/en/kteatime/
%doc %_docdir/HTML/en/kteatime/common
%doc %_docdir/HTML/en/kteatime/*.docbook
%doc %_docdir/HTML/en/kteatime/*.png
%doc %_docdir/HTML/en/kteatime/*.bz2
#
#
%dir %_docdir/HTML/en/kworldclock/
%doc %_docdir/HTML/en/kworldclock/common
%doc %_docdir/HTML/en/kworldclock/*.docbook
%doc %_docdir/HTML/en/kworldclock/*.bz2
#
%dir %_docdir/HTML/en/kweather/
%doc %_docdir/HTML/en/kweather/common
%doc %_docdir/HTML/en/kweather/*.docbook
%doc %_docdir/HTML/en/kweather/*.bz2
#
%dir %_docdir/HTML/en/kaphorism/
%doc %_docdir/HTML/en/kaphorism/common
%doc %_docdir/HTML/en/kaphorism/*.docbook
%doc %_docdir/HTML/en/kaphorism/*.bz2


#
%_bindir/amor
%_bindir/kmoon
%_bindir/kodo
%_bindir/kteatime
%_bindir/ktux
%_bindir/kaphorism
#%_bindir/kfortune
%_bindir/kworldclock
%_bindir/kweatherservice
%_bindir/reportview

#
#
#
%_libdir/kde3/*.la
%_libdir/kde3/*.so*
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/System/
%dir %_datadir/applnk/System/ScreenSavers/
%_datadir/applnk/System/ScreenSavers/*.desktop
#
#
%dir %_datadir/applnk/Toys/
%_datadir/applnk/Toys/kteatime.desktop
%_datadir/applnk/Toys/kodo.desktop
%_datadir/applnk/Toys/kmoon.desktop
%_datadir/applnk/Toys/amor.desktop
%_datadir/applnk/Toys/kaphorism.desktop
#%_datadir/applnk/Toys/kfortune.desktop
%_datadir/applnk/Toys/kworldclock.desktop
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/amor/
%_datadir/apps/amor/billyrc
%_datadir/apps/amor/blobrc
%_datadir/apps/amor/brc
%_datadir/apps/amor/bsdrc
%_datadir/apps/amor/eyesrc
%_datadir/apps/amor/nekorc
%_datadir/apps/amor/ghostrc
%_datadir/apps/amor/pingurc
%_datadir/apps/amor/taorc
%_datadir/apps/amor/tips
%_datadir/apps/amor/tips-en
%_datadir/apps/amor/tuxrc
%_datadir/apps/amor/wormrc
#
%dir %_datadir/apps/amor/b/
%_datadir/apps/amor/b/*.xpm
#
%dir %_datadir/apps/amor/blob/
%_datadir/apps/amor/blob/*.xpm
#
%dir %_datadir/apps/amor/eyes/
%_datadir/apps/amor/eyes/*.xpm
#
%dir %_datadir/apps/amor/ghost/
%_datadir/apps/amor/ghost/*.xpm
#
%dir %_datadir/apps/amor/neko/
%_datadir/apps/amor/neko/*.xpm
#
%dir %_datadir/apps/amor/pingu/
%_datadir/apps/amor/pingu/*.xpm
#
%dir %_datadir/apps/amor/static/
%_datadir/apps/amor/static/*.png
#
%dir %_datadir/apps/amor/tao/
%_datadir/apps/amor/tao/*.xpm
#
%dir %_datadir/apps/amor/worm/
%_datadir/apps/amor/worm/*.xpm
#
#
%dir %_datadir/apps/kdesktop/
%dir %_datadir/apps/kdesktop/programs/
%_datadir/apps/kdesktop/programs/kdeworld.desktop
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
%dir %_datadir/apps/kmoon/
%dir %_datadir/apps/kmoon/pics/
%_datadir/apps/kmoon/pics/*.png
#
#
%dir %_datadir/apps/kodo/
%_datadir/apps/kodo/*.png
#
#
%dir %_datadir/apps/ktux/
%dir %_datadir/apps/ktux/sprites/
%_datadir/apps/ktux/sprites/spriterc
%_datadir/apps/ktux/sprites/*.png
#
#
%dir %_datadir/apps/kworldclock/
%_datadir/apps/kworldclock/zone.tab
#
%dir %_datadir/apps/kworldclock/pics/
%_datadir/apps/kworldclock/pics/*.png
%_datadir/apps/kworldclock/pics/*.xpm
#
%dir %_datadir/apps/kworldclock/maps/
%dir %_datadir/apps/kworldclock/maps/depths/
%_datadir/apps/kworldclock/maps/depths/*.desktop
%_datadir/apps/kworldclock/maps/depths/*.jpg
#
#
%dir %_datadir/apps/kaphorism/
%_datadir/apps/kaphorism/*.rc
%dir %_datadir/apps/kaphorism/aphorisms/
%_datadir/apps/kaphorism/aphorisms/*.rc
%_datadir/apps/kaphorism/aphorisms/See*

#%dir %_datadir/apps/kfortune/
#%_datadir/apps/kfortune/eventsrc

%dir %_datadir/apps/kweather/
%_datadir/apps/kweather/*.png

#
%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png
%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png
%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png



%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png


%dir %_datadir/apps/kteatime/
%dir %_datadir/apps/kteatime/pics/
%_datadir/apps/kteatime/pics/*.png

%_datadir/services/*.desktop


%files  -n %lib_name
%defattr(-,root,root,-)
%_libdir/kde3/*.la
%_libdir/kde3/*.so*


%files -n %lib_name-devel
%defattr(-,root,root,-)
%_includedir/*.h



%changelog
* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Fix upgrade

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Fix requires/Provide

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Remove libqt3 requires

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- re-upload package

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Fix requires

* Fri Aug 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Fix

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Wed Jul 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Libification

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Rebuild

* Tue May 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Thu Apr 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Sync with kde3.1 branch
- Add buildfor9.2

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Mon Mar 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Add patch5: fix kweather fix freeze kicker

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Add patch4: fix kworldwatch crash

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code (fix kworldclock bug)

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Add patch4 : fix kweather loop/kicker freeze

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Apply Gwenole patch " Make it lib64 aware"

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Add patch3 : fix disable amor when screensaver is started

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Add description thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Wed Oct 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- fix menu entry

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch4 : fix kmoon mem leak

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch3 : fix amor

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild aginst new gcc-3.2

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- rebuild against gcc-3.2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Rebuild against libstdc++3.1

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Fix provides/obsoletes

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- rebuild

* Thu May 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdetoys

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove "fomit-frame-pointer"

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Wed Mar 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- Rc2

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Tue Jan 15 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.5mdk
- Fix conflict with kdetoys2

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Fix previous changelog
- Fix menu generation
- Fix ./configure

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improved spec file

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0 try
